org.apache.hadoop.hdfs.server.namenode

## Class INodeFileAttributes.SnapshotCopy

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.INodeAttributes.SnapshotCopy
  - - org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes.SnapshotCopy

- All Implemented Interfaces:
    org.apache.hadoop.hdfs.server.namenode.INodeAttributes, org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes
  Enclosing interface:
    org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes

      public static class INodeFileAttributes.SnapshotCopy
      extends INodeAttributes.SnapshotCopy
      implements org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes

  A copy of the inode file attributes

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes

      `INodeFileAttributes.SnapshotCopy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnapshotCopy(byte[] name, org.apache.hadoop.fs.permission.PermissionStatus permissions, org.apache.hadoop.hdfs.server.namenode.AclFeature aclFeature, long modificationTime, long accessTime, Short replication, Byte ecPolicyID, long preferredBlockSize, byte storagePolicyID, org.apache.hadoop.hdfs.server.namenode.XAttrFeature xAttrsFeature, org.apache.hadoop.hdfs.protocol.BlockType blockType)`
    `SnapshotCopy(org.apache.hadoop.hdfs.server.namenode.INodeFile file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.hdfs.protocol.BlockType` | `getBlockType()`
    `byte` | `getErasureCodingPolicyID()`
    `short` | `getFileReplication()`
    `long` | `getHeaderLong()`
    `byte` | `getLocalStoragePolicyID()`
    `long` | `getPreferredBlockSize()`
    `boolean` | `isDirectory()`
    `boolean` | `isStriped()`
    `boolean` | `metadataEquals(org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes other)`

    - ### Methods inherited from class org.apache.hadoop.hdfs.server.namenode.INodeAttributes.SnapshotCopy

      `getAccessTime, getAclFeature, getFsPermission, getFsPermissionShort, getGroupName, getLocalNameBytes, getModificationTime, getPermissionLong, getUserName, getXAttrFeature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.hdfs.server.namenode.INodeAttributes

      `getAccessTime, getAclFeature, getFsPermission, getFsPermissionShort, getGroupName, getLocalNameBytes, getModificationTime, getPermissionLong, getUserName, getXAttrFeature`

- - ### Constructor Detail

    - #### SnapshotCopy

          public SnapshotCopy(byte[] name,
                              org.apache.hadoop.fs.permission.PermissionStatus permissions,
                              org.apache.hadoop.hdfs.server.namenode.AclFeature aclFeature,
                              long modificationTime,
                              long accessTime,
                              Short replication,
                              Byte ecPolicyID,
                              long preferredBlockSize,
                              byte storagePolicyID,
                              org.apache.hadoop.hdfs.server.namenode.XAttrFeature xAttrsFeature,
                              org.apache.hadoop.hdfs.protocol.BlockType blockType)

    - #### SnapshotCopy

          public SnapshotCopy(org.apache.hadoop.hdfs.server.namenode.INodeFile file)

  - ### Method Detail

    - #### isDirectory

          public boolean isDirectory()

      Specified by:
        `isDirectory` in interface `org.apache.hadoop.hdfs.server.namenode.INodeAttributes`

    - #### getFileReplication

          public short getFileReplication()

      Specified by:
        `getFileReplication` in interface `org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes`
      Returns:
        the file replication.

    - #### isStriped

          public boolean isStriped()

      Specified by:
        `isStriped` in interface `org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes`
      Returns:
        whether the file is striped (instead of contiguous)

    - #### getBlockType

          public org.apache.hadoop.hdfs.protocol.BlockType getBlockType()

      Specified by:
        `getBlockType` in interface `org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes`
      Returns:
        whether the file is striped (instead of contiguous)

    - #### getErasureCodingPolicyID

          public byte getErasureCodingPolicyID()

      Specified by:
        `getErasureCodingPolicyID` in interface `org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes`
      Returns:
        the ID of the ErasureCodingPolicy

    - #### getPreferredBlockSize

          public long getPreferredBlockSize()

      Specified by:
        `getPreferredBlockSize` in interface `org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes`
      Returns:
        preferred block size in bytes

    - #### getLocalStoragePolicyID

          public byte getLocalStoragePolicyID()

      Specified by:
        `getLocalStoragePolicyID` in interface `org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes`

    - #### getHeaderLong

          public long getHeaderLong()

      Specified by:
        `getHeaderLong` in interface `org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes`
      Returns:
        the header as a long.

    - #### metadataEquals

          public boolean metadataEquals(org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes other)

      Specified by:
        `metadataEquals` in interface `org.apache.hadoop.hdfs.server.namenode.INodeFileAttributes`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.